## EHTMLEditor EHTMLEditor |

## Functions

void | e_html_editor_new ()
GtkWidget * | e_html_editor_new_finish ()
EContentEditor * | e_html_editor_get_content_editor ()
void | e_html_editor_register_content_editor ()
GtkBuilder * | e_html_editor_get_builder ()
GtkUIManager * | e_html_editor_get_ui_manager ()
GtkAction * | e_html_editor_get_action ()
GtkActionGroup * | e_html_editor_get_action_group ()
GtkWidget * | e_html_editor_get_widget ()
GtkWidget * | e_html_editor_get_managed_widget ()
GtkWidget * | e_html_editor_get_style_combo_box ()
const gchar * | e_html_editor_get_filename ()
void | e_html_editor_set_filename ()
EActivityBar * | e_html_editor_get_activity_bar ()
EActivity * | e_html_editor_new_activity ()
void | e_html_editor_pack_above ()
void | e_html_editor_update_spell_actions ()
gboolean | e_html_editor_save ()

## Description

## Functions

### e_html_editor_new ()

    void
    e_html_editor_new (GAsyncReadyCallback callback,
                       gpointer user_data);

`e_html_editor_new` is deprecated and should not be used in newly-written code.

Constructs a new EHTMLEditor asynchronously. The result is returned by `e_html_editor_new_finish()`, which should be called inside `callback` .

#### Parameters

callback | a callback to be called when the editor is ready |
user_data | a used data passed into the `callback` |

Since: 3.22

### e_html_editor_new_finish ()

    GtkWidget *
    e_html_editor_new_finish (GAsyncResult *result,
                              GError **error);

`e_html_editor_new_finish` is deprecated and should not be used in newly-written code.

Finishes the call of `e_html_editor_new()`.

#### Parameters

result | a GAsyncResult passed to callback from `e_html_editor_new()` |
error | an optional GError |

#### Returns

A newly created EHTMLEditor.

[transfer-full]

Since: 3.22

### e_html_editor_get_content_editor ()

    EContentEditor *
    e_html_editor_get_content_editor (EHTMLEditor *editor);

`e_html_editor_get_content_editor` is deprecated and should not be used in newly-written code.

Returns instance of EContentEditor used in the `editor` .

#### Parameters

editor | an EHTMLEditor |

### e_html_editor_register_content_editor ()

    void
    e_html_editor_register_content_editor (EHTMLEditor *editor,
                                           const gchar *name,
                                           EContentEditor *cnt_editor);

`e_html_editor_register_content_editor` is deprecated and should not be used in newly-written code.

### e_html_editor_get_builder ()

    GtkBuilder *
    e_html_editor_get_builder (EHTMLEditor *editor);

`e_html_editor_get_builder` is deprecated and should not be used in newly-written code.

### e_html_editor_get_ui_manager ()

    GtkUIManager *
    e_html_editor_get_ui_manager (EHTMLEditor *editor);

`e_html_editor_get_ui_manager` is deprecated and should not be used in newly-written code.

Returns GtkUIManager that manages all the actions in the `editor` .

#### Parameters

editor | an EHTMLEditor |

### e_html_editor_get_action ()

    GtkAction *
    e_html_editor_get_action (EHTMLEditor *editor,
                              const gchar *action_name);

`e_html_editor_get_action` is deprecated and should not be used in newly-written code.

#### Parameters

editor | an EHTMLEditor |
action_name | name of action to lookup and return |

#### Returns

A GtkAction matching `action_name` or `NULL` if no such action exists.

### e_html_editor_get_action_group ()

    GtkActionGroup *
    e_html_editor_get_action_group (EHTMLEditor *editor,
                                    const gchar *group_name);

`e_html_editor_get_action_group` is deprecated and should not be used in newly-written code.

#### Parameters

editor | an EHTMLEditor |
group_name | name of action group to lookup and return |

#### Returns

A GtkActionGroup matching `group_name` or `NULL` if not such action group exists.

### e_html_editor_get_widget ()

    GtkWidget *
    e_html_editor_get_widget (EHTMLEditor *editor,
                              const gchar *widget_name);

`e_html_editor_get_widget` is deprecated and should not be used in newly-written code.

### e_html_editor_get_managed_widget ()

    GtkWidget *
    e_html_editor_get_managed_widget (EHTMLEditor *editor,
                                      const gchar *widget_path);

`e_html_editor_get_managed_widget` is deprecated and should not be used in newly-written code.

### e_html_editor_get_style_combo_box ()

    GtkWidget *
    e_html_editor_get_style_combo_box (EHTMLEditor *editor);

`e_html_editor_get_style_combo_box` is deprecated and should not be used in newly-written code.

### e_html_editor_get_filename ()

    const gchar *
    e_html_editor_get_filename (EHTMLEditor *editor);

`e_html_editor_get_filename` is deprecated and should not be used in newly-written code.

Returns path and name of file to which content of the editor should be saved.

#### Parameters

editor | an EHTMLEditor |

### e_html_editor_set_filename ()

    void
    e_html_editor_set_filename (EHTMLEditor *editor,
                                const gchar *filename);

`e_html_editor_set_filename` is deprecated and should not be used in newly-written code.

Sets file to which content of the editor should be saved (see `e_html_editor_save()`).

#### Parameters

editor | an EHTMLEditor |
filename | Target file |

### e_html_editor_get_activity_bar ()

    EActivityBar *
    e_html_editor_get_activity_bar (EHTMLEditor *editor);

`e_html_editor_get_activity_bar` is deprecated and should not be used in newly-written code.

### e_html_editor_new_activity ()

    EActivity *
    e_html_editor_new_activity (EHTMLEditor *editor);

`e_html_editor_new_activity` is deprecated and should not be used in newly-written code.

Creates and configures a new EActivity so its progress is shown in the `editor` . The EActivity comes pre-loaded with a CamelOperation.

#### Parameters

editor | an EHTMLEditor |

#### Returns

a new EActivity for use with `editor`

### e_html_editor_pack_above ()

    void
    e_html_editor_pack_above (EHTMLEditor *editor,
                              GtkWidget *child);

`e_html_editor_pack_above` is deprecated and should not be used in newly-written code.

Inserts `child` right between the toolbars and the editor widget itself.

#### Parameters

editor | an EHTMLEditor |
child | a GtkWidget |

### e_html_editor_update_spell_actions ()

    void
    e_html_editor_update_spell_actions (EHTMLEditor *editor);

`e_html_editor_update_spell_actions` is deprecated and should not be used in newly-written code.

### e_html_editor_save ()

    gboolean
    e_html_editor_save (EHTMLEditor *editor,
                        const gchar *filename,
                        gboolean as_html,
                        GError **error);

`e_html_editor_save` is deprecated and should not be used in newly-written code.

Saves current content of the EContentEditor into given file. When `as_html` is `FALSE` , the content is first converted into plain text.

#### Parameters

editor | an EHTMLEditor |
filename | file into which to save the content |
as_html | whether the content should be saved as HTML or plain text |
error | [out] a GError |

#### Returns

`TRUE` when content is succesfully saved, `FALSE` otherwise.

## Types and Values